<?php

namespace catchAdmin\device\model;

use catcher\base\CatchModel as Model;


use catchAdmin\permissions\model\DataRangScopeTrait;
use catchAdmin\device\model\get\StationGet;
use think\facade\Db;
class Station extends Model
{
    use DataRangScopeTrait;
    use StationGet;

    // 表名
    public $name = 'stations';
    // 数据库字段映射
    public $field = array(
            'id',
            'mac',
			'shortcode',
			'name', 
			'model',
			'serial_number', 
			'department_id', 
			'version', 
			'open_status', 
			'sim_no',
			'longitude', 
			'latitude', 
			'online_time', 
			'address', 
			'remark',
			'open_time', 
			'open_user_id', 
			'creator_id', 
			'created_at', 
			'updated_at', 
			'deleted_at'
    );
     /**
     * 获取基站列表
     */
    public function getList()
    {
        $res = $this->dataRange()
            ->catchSearch()
            ->append(['is_online'])
            ->order($this->aliasField('shortcode'), 'desc')
            ->paginate();
            
        return $res;
    }
    public function getAllList(){
        $res = $this
            ->catchSearch()
            ->field('mac,name,latitude,longitude,online_time')
            ->append(['is_online'])
            ->select();
            
        return $res;
    }
  
    
}